
TYPO3.TYPO3CR - Bug # 39795

Status: Resolved Priority: Must have
Author: Adrian Föder Category: Node handling
Created: 2012-08-14 Assigned To:
Updated: 2012-09-03 Due date:
Subject: Sections are not published in the current publishing process, so any content of multi column elements fails to 

display
Description

Currently, a four-column-container is added to the site, each column having plain TS text objects.
The publish button is pressed and went disabled, after changing some content the publish button is pressed again.
However, the column content is not part of the exported XML, it's just

 1<?xml version="1.0" encoding="UTF-8"?>
 2<root>
 3    <site nodeName="mysite">
 4        <properties><!-- abridged --></properties>
 5        <node identifier="f8f70a5f-7fcd-4e2c-b677-ee918a436c5c" type="TYPO3.TYPO3:Page" nodeName="homepage" locale
="">
 6            <properties>
 7                <title>Start</title>
 8            </properties>
 9            <node identifier="560e38d2-5246-4f23-b2ca-1d26334834df" type="TYPO3.TYPO3:Section" nodeName="main" locale
="">
10                <node identifier="59110f02-e0fa-4a61-8b9f-38f47ede75f2" type="TYPO3.TYPO3:FourColumn" nodeName="
502780c427f66" locale="">
11                    <properties>
12                        <layout>25-25-25-25</layout>
13                    </properties>
14                </node>
15            </node>
16        </node>
17    </site>
18</root>

if that helps; the db content looks like

model_workspace:                                                                                                       
flow3_persistence_identifier         | baseworkspace                        | rootnode                             | name       
0ac909bc-0cf4-4ad1-80dd-5f5580c2415d | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |
1bb9382b-3d09-454e-8f4a-8f55350308b9 | user-adrian
0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |                                      | 31047548-8e7b-4d7b-bbb2-919f07bb0f20 | live       

model_node:                                                                                                                                                                                    
                                                                                                                                                                                                      
53f70cc2-11ab-43dc-b69b-65ab187872a8 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  | /sites/mysite/homepage                     
                    | f8f70a5f-7fcd-4e2c-b677-ee918a436c5c | 100 | a:1:{s:5:"title";s:5:"Start";}                                                               
                               | TYPO3.TYPO3:Page       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite                                    
a7602ae7-94f4-4133-ae1f-2927eef35284 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66                       | 59110f02-e0fa-4a61-8b9f-38f47ede75f2 | 144 |
a:1:{s:6:"layout";s:11:"25-25-25-25";}                                                                                       | TYPO3.TYPO3:FourColumn | 0 | 0
|  |  | 0 | a:0:{} | 4 | /sites/mysite/homepage/main                      
ea9f9ce8-a115-4d71-8924-c602090f214a | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  | /sites/mysite/homepage/main             
                       | 560e38d2-5246-4f23-b2ca-1d26334834df | 100 | a:0:{}                                                                                         
                             | TYPO3.TYPO3:Section    | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage                           

0c0f13b7-3217-4cca-bafc-7fa2875a9cd8 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column1/50278122c4de5 | 8ebd41bf-62c8-4e2d-a3cd-31dc2604df94 | 100 |
a:2:{s:5:"title";s:26:"<h1>Zweite Spalte<br></h1>";s:4:"text";s:23:"<p>Enter text here.</p>";}                               |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66/column1
2f8bac30-0c56-4cd6-80ba-9bba5fc061ef | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column3/5027815de974b | 735bd7d3-ec1b-4854-9b0c-0ab5391d3a12 | 100 |
a:2:{s:5:"title";s:26:"<h1>Vierte Spalte<br></h1>";s:4:"text";s:23:"<p>Enter text&nbsp;</p>";}                               |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66/column3
aba0ba6c-68a4-4e91-ab94-c5ef9815d29a | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column0/502780f0f3926 | 822d9909-2ee2-44bb-a422-b2dffcde3276 | 100 |
a:2:{s:5:"title";s:38:"<h1>Ich bin eine Überschrift<br></h1>";s:4:"text";s:42:"<p>Und ein Plaintext; erste Spalte<br></p>";} |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66/column0
b9cb9218-587a-4da7-b3a1-61f80158ac70 | 0ce8adbc-f358-46af-bd1d-3cce7a73bb40 |  |
/sites/mysite/homepage/main/502780c427f66/column2/5027813fca49c | f1047ac7-a030-4405-9d44-2926dc3bb114 | 100 |
a:2:{s:5:"title";s:26:"<h1>Dritte Spalte<br></h1>";s:4:"text";s:22:"<p>Enter text here</p>";}                                |
TYPO3.TYPO3:Text       | 0 | 0 |  |  | 0 | a:0:{} | 6 | /sites/mysite/homepage/main/502780c427f66/column2

If you need further info, don't hesitate to ask; it's just an experimental web page.

Related issues:
precedes TYPO3.TYPO3CR - Bug # 40551: Sections are not published in the curre... Resolved 2012-08-15 2012-08-15

History
#1 - 2012-08-14 11:28 - Adrian Föder

edit: don't mind that duplicate  in the XML above, that was my copy & paste mistake. Just in case you're wondering :)

#2 - 2012-08-14 11:37 - Adrian Föder

just realized, the nodes ending with the path ...columnX are still on "my" workspace rather than the Live WS:

962232b5-be82-4cd3-b1c2-319f97595d63 | 0ac909bc-0cf4-4ad1-80dd-5f5580c2415d |  |
/sites/mysite/homepage/main/502780c427f66/column0 | d30696c5-412f-4274-adef-48a2bdfb0025 | 100 | a:0:{} | TYPO3.TYPO3:Section | 0 | 0
|  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66
96ed8233-8a77-46e1-a3a9-e95c3b4f79ce | 0ac909bc-0cf4-4ad1-80dd-5f5580c2415d |  |
/sites/mysite/homepage/main/502780c427f66/column1 | 9a57bfb6-14ea-439c-9bf5-6b257b9f3ca0 | 200 | a:0:{} | TYPO3.TYPO3:Section | 0 | 0
|  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66
c9c99a7b-ee20-45c4-97ca-7af2da5cb784 | 0ac909bc-0cf4-4ad1-80dd-5f5580c2415d |  |
/sites/mysite/homepage/main/502780c427f66/column2 | 1721bd10-7e29-4863-b196-31c6881bd00a | 300 | a:0:{} | TYPO3.TYPO3:Section | 0 |
0 |  |  | 0 | a:0:{} | 2 | /sites/mysite/homepage/main/502780c427f66
67a71c72-fd41-49a5-bf30-8efbaa4a488e | 0ac909bc-0cf4-4ad1-80dd-5f5580c2415d |  | /sites/mysite/homepage/main/502780c427f66/column3
| ff730da1-b3c2-4575-b8c3-837e58e866d9 | 400 | a:0:{} | TYPO3.TYPO3:Section | 0 | 0 |  |  | 0 | a:0:{} | 2 |
/sites/mysite/homepage/main/502780c427f66
#3 - 2012-08-14 11:46 - Christian Müller
- Subject changed from Published and in backend present content is not contained in export XML to Sections are not published in the current 
publishing process, so any content of multi column elements fails to display
- Category changed from Import/Export to Node handling
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#4 - 2012-08-19 19:32 - Adrian Föder

seems, as far as I can say that, same goes for deleting content: deleted content is not present anymore in the "Backend", but if I publish and visit the
frontend, content is still there.
This seems not to be limited to section or so, because parallely added elements are there, too (means: I deleted one element and added a second as
replacement; finally two elements are there).

#5 - 2012-09-03 11:35 - Aske Ertmann
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Fixed with https://review.typo3.org/#/c/14203/
